Package com.independentsoft.office.odf.styles

# Class Footer

java.lang.Object
com.independentsoft.office.odf.styles.Footer

All Implemented Interfaces:
  `IContentElement`

public class Footer extends Object implements IContentElement
Represents footer of the document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Footer()`
  Initializes a new instance of the Footer class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(Change change)`
  Adds a Change object to the content.
  `void`
  `add​(ChangeEnd changeEnd)`
  Adds a ChangeEnd object to the content.
  `void`
  `add​(ChangeStart changeStart)`
  Adds a ChangeStart object to the content.
  `void`
  `add​(Heading heading)`
  Adds a Heading object to the content.
  `void`
  `add​(IndexOfIllustrations index)`
  Adds an IndexOfIllustrations object to the content.
  `void`
  `add​(List list)`
  Adds a List object to the content.
  `void`
  `add​(Paragraph paragraph)`
  Adds a Paragraph object to the content.
  `void`
  `add​(Section section)`
  Adds a Section object to the content.
  `void`
  `add​(IHeaderFooterContent headerContent)`
  Adds an IHeaderFooterContent object to the content.
  `void`
  `add​(Table table)`
  Adds a Table object to the content.
  `void`
  `add​(TableOfContents toc)`
  Adds a TableOfContents object to the content.
  `Footer`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<Paragraph>`
  `getCenterRegion()`
  Specifies the center-aligned portion of a footer.
  `List<IHeaderFooterContent>`
  `getContent()`
  Contains a collection of HeaderFooterContent objects.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `List<Paragraph>`
  `getLeftRegion()`
  Specifies a left-aligned portion of a footer.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `List<Paragraph>`
  `getRightRegion()`
  Specifies the right-aligned portion of a footer.
  `boolean`
  `isDisplay()`
  Specifies whether the footer is displayed or not.
  `void`
  `setDisplay​(boolean display)`
  Specifies whether the footer is displayed or not.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `String`
  `toString()`
  Converts the value of the current Footer object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Footer

    public Footer()
    Initializes a new instance of the Footer class.

- ## Method Details

  - ### add

    public void add​(Change change)
    Adds a Change object to the content.
    Parameters:
      `change` - the change

  - ### add

    public void add​(ChangeEnd changeEnd)
    Adds a ChangeEnd object to the content.
    Parameters:
      `changeEnd` - the change end

  - ### add

    public void add​(ChangeStart changeStart)
    Adds a ChangeStart object to the content.
    Parameters:
      `changeStart` - the change start

  - ### add

    public void add​(Heading heading)
    Adds a Heading object to the content.
    Parameters:
      `heading` - the heading

  - ### add

    public void add​(IndexOfIllustrations index)
    Adds an IndexOfIllustrations object to the content.
    Parameters:
      `index` - the index

  - ### add

    public void add​(List list)
    Adds a List object to the content.
    Parameters:
      `list` - the list

  - ### add

    public void add​(Paragraph paragraph)
    Adds a Paragraph object to the content.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Section section)
    Adds a Section object to the content.
    Parameters:
      `section` - the section

  - ### add

    public void add​(Table table)
    Adds a Table object to the content.
    Parameters:
      `table` - the table

  - ### add

    public void add​(TableOfContents toc)
    Adds a TableOfContents object to the content.
    Parameters:
      `toc` - the toc

  - ### add

    public void add​(IHeaderFooterContent headerContent)
    Adds an IHeaderFooterContent object to the content.
    Parameters:
      `headerContent` - the header content

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Parameters:
      `parent` - the new parent

  - ### clone

    public Footer clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Footer object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### isDisplay

    public boolean isDisplay()
    Specifies whether the footer is displayed or not.
    Returns:
      true, if is display

  - ### setDisplay

    public void setDisplay​(boolean display)
    Specifies whether the footer is displayed or not.
    Parameters:
      `display` - the new display

  - ### getContent

    public List<IHeaderFooterContent> getContent()
    Contains a collection of HeaderFooterContent objects.
    Returns:
      the content

  - ### getLeftRegion

    public List<Paragraph> getLeftRegion()
    Specifies a left-aligned portion of a footer.
    Returns:
      the left region

  - ### getRightRegion

    public List<Paragraph> getRightRegion()
    Specifies the right-aligned portion of a footer.
    Returns:
      the right region

  - ### getCenterRegion

    public List<Paragraph> getCenterRegion()
    Specifies the center-aligned portion of a footer.
    Returns:
      the center region